"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const Box = require("../../node_modules/.pnpm/@mantine_core@7.15.2_patch_hash_jclkxeaefn6uz54h34k3r3yjsq_@mantine_hooks@7.15.2_react@18.3.1_szqfuioo5damkjdixckhzmwycq/node_modules/@mantine/core/esm/core/Box/Box.cjs");
const IconAlarmClockMinus = (props, ref) => {
  return /* @__PURE__ */ jsxRuntime.jsx(
    "svg",
    {
      width: "1em",
      height: "1em",
      viewBox: "0 0 16 16",
      fill: "none",
      xmlns: "http://www.w3.org/2000/svg",
      strokeWidth: "1.5",
      ref,
      ...props,
      children: /* @__PURE__ */ jsxRuntime.jsx(
        "path",
        {
          d: "M3.33337 2L1.33337 4M14.6667 4L12.6667 2M4.00004 12.6667L2.66671 14M12 12.6667L13.3334 14M6.00004 8.66667H10M8.00004 14C9.41453 14 10.7711 13.4381 11.7713 12.4379C12.7715 11.4377 13.3334 10.0812 13.3334 8.66667C13.3334 7.25218 12.7715 5.89562 11.7713 4.89543C10.7711 3.89524 9.41453 3.33333 8.00004 3.33333C6.58555 3.33333 5.229 3.89524 4.2288 4.89543C3.22861 5.89562 2.66671 7.25218 2.66671 8.66667C2.66671 10.0812 3.22861 11.4377 4.2288 12.4379C5.229 13.4381 6.58555 14 8.00004 14Z",
          stroke: "currentColor",
          strokeLinecap: "round",
          strokeLinejoin: "round",
          strokeWidth: "inherit"
        }
      )
    }
  );
};
const ForwardRef = React.forwardRef(IconAlarmClockMinus);
const AlarmClockMinus = React.forwardRef((props, ref) => {
  if (typeof props.size === "number") {
    const { size, ...rest } = props;
    props = {
      ...rest,
      w: size,
      h: size
    };
  }
  return /* @__PURE__ */ jsxRuntime.jsx(
    Box.Box,
    {
      ref,
      ...props,
      component: ForwardRef,
      className: ["tiui-icon", "AlarmClockMinus", props.className].join(" ")
    }
  );
});
AlarmClockMinus.displayName = "IconAlarmClockMinus";
exports.default = AlarmClockMinus;
